Subject: Re: bug#47381: Atomic (fast) install
From: Karl Berry <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 26 Mar 2021 16:39:06 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks for the reports, but:

1) Automake can only run whatever install program has been specified by
the user. It does not seem possible (or sensible) to me to guarantee
atomic installs at the automake level. (This behavior by cyrus imap also
seems undesirable to me, but whatever.)

2) I have never heard of "fast install" before, and have barely ever
touched libtool in general. You'll need to ask the libtool maintainers.

3) I have seen explicit invocation of "/bin/sh <script>" in other
contexts. I'm not sure why (noexec filesystems are all I can think of),
but I don't see a need to change it, either. If it's causing an actual
problem, feel free to report that.

Sorry this is not a very helpful reply, but it's what I've got.
--best, karl.